package market.Qms.qcm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.QcmJhyElementsMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="QCM_JHY_ELEMENTS", namespace=QcmJhyElementsMapper.class)
public class QcmJhyElements extends BaseVO implements Serializable { 
    @Column 
    private String assay_no;
    /**
    *成分化验号
    */
    public String getAssay_no(){
         return this.assay_no;
    }
    /**
    *成分化验号
    */
    public void setAssay_no(String assay_no){
         this.assay_no=assay_no;
    }

    @Column 
    private String heat_no;
    /**
    *炉号
    */
    public String getHeat_no(){
         return this.heat_no;
    }
    /**
    *炉号
    */
    public void setHeat_no(String heat_no){
         this.heat_no=heat_no;
    }

    @Column 
    private String batch_no;
    /**
    *轧批号
    */
    public String getBatch_no(){
         return this.batch_no;
    }
    /**
    *轧批号
    */
    public void setBatch_no(String batch_no){
         this.batch_no=batch_no;
    }

    @Column 
    private String inspection_lot;
    /**
    *检验号
    */
    public String getInspection_lot(){
         return this.inspection_lot;
    }
    /**
    *检验号
    */
    public void setInspection_lot(String inspection_lot){
         this.inspection_lot=inspection_lot;
    }

    @Column 
    private String smp_no;
    /**
    *试样号
    */
    public String getSmp_no(){
         return this.smp_no;
    }
    /**
    *试样号
    */
    public void setSmp_no(String smp_no){
         this.smp_no=smp_no;
    }

    @Column 
    private String specimen_no;
    /**
    *取样编号
    */
    public String getSpecimen_no(){
         return this.specimen_no;
    }
    /**
    *取样编号
    */
    public void setSpecimen_no(String specimen_no){
         this.specimen_no=specimen_no;
    }

    @Column 
    private String material_no;
    /**
    *取样材料号（卷/块号）
    */
    public String getMaterial_no(){
         return this.material_no;
    }
    /**
    *取样材料号（卷/块号）
    */
    public void setMaterial_no(String material_no){
         this.material_no=material_no;
    }

    @Column 
    private String pline_code;
    /**
    *产线代码
    */
    public String getPline_code(){
         return this.pline_code;
    }
    /**
    *产线代码
    */
    public void setPline_code(String pline_code){
         this.pline_code=pline_code;
    }

    @Column 
    private String pline_name;
    /**
    *产线描述
    */
    public String getPline_name(){
         return this.pline_name;
    }
    /**
    *产线描述
    */
    public void setPline_name(String pline_name){
         this.pline_name=pline_name;
    }

    @Column 
    private String steel_code;
    /**
    *牌号代码
    */
    public String getSteel_code(){
         return this.steel_code;
    }
    /**
    *牌号代码
    */
    public void setSteel_code(String steel_code){
         this.steel_code=steel_code;
    }

    @Column 
    private String steel_name;
    /**
    *牌号名称
    */
    public String getSteel_name(){
         return this.steel_name;
    }
    /**
    *牌号名称
    */
    public void setSteel_name(String steel_name){
         this.steel_name=steel_name;
    }

    @Column 
    private String assay_type;
    /**
    *类型（A:熔炼成分,B:成品成分）
    */
    public String getAssay_type(){
         return this.assay_type;
    }
    /**
    *类型（A:熔炼成分,B:成品成分）
    */
    public void setAssay_type(String assay_type){
         this.assay_type=assay_type;
    }

    @Column 
    private String chem_code;
    /**
    *化学元素代码
    */
    public String getChem_code(){
         return this.chem_code;
    }
    /**
    *化学元素代码
    */
    public void setChem_code(String chem_code){
         this.chem_code=chem_code;
    }

    @Column 
    private String chem_name;
    /**
    *化学元素描述
    */
    public String getChem_name(){
         return this.chem_name;
    }
    /**
    *化学元素描述
    */
    public void setChem_name(String chem_name){
         this.chem_name=chem_name;
    }

    @Column 
    private String chem_value;
    /**
    *成分值
    */
    public String getChem_value(){
         return this.chem_value;
    }
    /**
    *成分值
    */
    public void setChem_value(String chem_value){
         this.chem_value=chem_value;
    }

    @Column 
    private String source;
    /**
    *数据来源（0:新钢,1:外购）
    */
    public String getSource(){
         return this.source;
    }
    /**
    *数据来源（0:新钢,1:外购）
    */
    public void setSource(String source){
         this.source=source;
    }

    @Column 
    private String sample_type;
    /**
    *样品类型（0:初样,1:复样,2:预留）
    */
    public String getSample_type(){
         return this.sample_type;
    }
    /**
    *样品类型（0:初样,1:复样,2:预留）
    */
    public void setSample_type(String sample_type){
         this.sample_type=sample_type;
    }

    @Column 
    private String memo;
    /**
    *备注
    */
    public String getMemo(){
         return this.memo;
    }
    /**
    *备注
    */
    public void setMemo(String memo){
         this.memo=memo;
    }

    @Column 
    private String create_name;
    /**
    *创建人
    */
    public String getCreate_name(){
         return this.create_name;
    }
    /**
    *创建人
    */
    public void setCreate_name(String create_name){
         this.create_name=create_name;
    }

    @Column 
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date create_time;
    /**
    *创建时间
    */
    public Date getCreate_time(){
         return this.create_time;
    }
    /**
    *创建时间
    */
    public void setCreate_time(Date create_time){
         this.create_time=create_time;
    }
    /**
     * 原料卷类别
     */
    @Column 
    private String coil_sort;
	public String getCoil_sort() {
		return coil_sort;
	}
	public void setCoil_sort(String coil_sort) {
		this.coil_sort = coil_sort;
	}
    
}